RecordingBucketConfig
Storage configs Object-storage destination and access settings for Daily recordings.
Usage profiles
| Usage | Fields and validation |
|---|---|
| In requests | View fields |
| In responses | View fields |
In requests
API JSON uses JSON field names (camelCase).
| Field | Type | Presence | Meaning |
|---|---|---|---|
bucketName | string | Optional | Object-storage bucket used for Daily recordings or transcriptions. |
bucketRegion | string | Optional | Region containing the Daily recording or transcription bucket. |
assumeRoleArn | string | Optional | Role ARN Daily uses when accessing the storage bucket. |
allowApiAccess | boolean | Optional | Whether Daily API access to bucket content is enabled. |
allowStreamingFromBucket | boolean | Optional | Whether streaming directly from the recording bucket is enabled. |
In responses
API JSON uses JSON field names (camelCase).
| Field | Type | Presence | Meaning |
|---|---|---|---|
bucketName | string | Optional | Object-storage bucket used for Daily recordings or transcriptions. |
bucketRegion | string | Optional | Region containing the Daily recording or transcription bucket. |
assumeRoleArn | string | Optional | Role ARN Daily uses when accessing the storage bucket. |
allowApiAccess | boolean | Optional | Whether Daily API access to bucket content is enabled. |
allowStreamingFromBucket | boolean | Optional | Whether streaming directly from the recording bucket is enabled. |
Where used
| Reference | Relationship |
|---|---|
| Create a voice session (in progress) | POST /api/v1/llm/create-daily-session |
| DailyRoomProperties | Nested in model |
| DailyRoomProperties | Nested in model |
Download the public reference contract.
Document: DOC-API-MODEL-recording-bucket-config.